# QPaintDevice Class Reference

### [com.trolltech.qt.gui package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QPaintDevice prototype object
- PdmWidth = 1
- PdmHeight
- PdmWidthMM
- PdmHeightMM
- PdmNumColors
- PdmDepth
- PdmDpiX
- PdmDpiY
- PdmPhysicalDpiX
- PdmPhysicalDpiY
- PaintDeviceMetric( value )

### Prototype Object Properties

- int colorCount()
- int depth()
- int devType()
- int height()
- int heightMM()
- int logicalDpiX()
- int logicalDpiY()
- int numColors()
- QPaintEngine paintEngine()
- bool paintingActive()
- int physicalDpiX()
- int physicalDpiY()
- int width()
- int widthMM()

### Instance Properties

QPaintDevice objects have no special properties beyond those inherited from the QPaintDevice prototype object.